# remap some of the boundary data to a regular r360x180 lon-lat grid for visualization

# remapping by means of cdo ...
module load cdo

# general path of the icon external data
INDATA="/gpfs/data/fs72044/avoigt_teach/ICON-inputdata/amip-VSC4/"

# grid that we remap to
RGRID="r360x180"

# remap the grid file
cdo -f nc4 -O -remapcon,$RGRID -selgrid,4 $INDATA/grid/icon_grid_0013_R02B04_G.nc icon_grid_0013_R02B04_G.selgrid4.r360x180.nc

# remap the sst and sea ice file
cdo -f nc4 -O -remapcon,$RGRID $INDATA/sst_and_seaice/bc_sst_1979_2008.ymonmean.nc bc_sst_1979_2008.ymonmean.r360x180.nc
cdo -f nc4 -O -remapcon,$RGRID $INDATA/sst_and_seaice/bc_sic_1979_2008.ymonmean.nc bc_sic_1979_2008.ymonmean.r360x180.nc

# remap the land fraction file
cdo -f nc4 -O -remapcon,$RGRID $INDATA/land/bc_land_frac_11pfts_1976.nc bc_land_frac_11pfts_1976.r360x180.nc